Bug 238946 - (CVE-2007-1496) CVE-2007-1496 Various NULL pointer dereferences in netfilter code
CVE-2007-1496 Various NULL pointer dereferences in netfilter code
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=lkml,reported...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 21:59 EDT by Marcel Holtmann
Modified: 2016-07-06 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 14:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-05-03 21:59:53 EDT
The nfnetlink_log in the netfilter code allows attackers to cause a denial of
service (crash) via unspecified vectors involving the (1) nfulnl_recv_config
function, (2) using "multiple packets per netlink message", and (3) bridged
packets, which trigger a NULL pointer dereference.
Comment 1 Don Howard 2007-05-07 13:17:18 EDT
A patch for this issue has been included in build 2.6.18-8.1.4.el5.
Comment 2 Mike Gahagan 2007-05-09 17:32:40 EDT
confirmed fix is in 2.6.18-8.1.4.el5.
Comment 5 Red Hat Bugzilla 2007-05-16 14:57:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0347.html

Note You need to log in before you can comment on or make changes to this bug.